# OpalRecordManager::Options Struct Reference

`#include <recording.h>`

## Public Member Functions

| Options (bool stereo=true, VideoMode videoMixing=eSideBySideLetterbox, const char *audioFormat=NULL, const char *videoFormat=NULL, unsigned width=PVideoFrameInfo::CIFWidth, unsigned height=PVideoFrameInfo::CIFHeight, unsigned rate=15)

## Data Fields

bool | m_stereo
PString | m_audioFormat
VideoMode | m_videoMixing
| Mode for how incoming video is mixed.
PString | m_videoFormat
unsigned | m_videoWidth
| Video mixer buffer width. Inputs are scaled accordingly.
unsigned | m_videoHeight
| Video mixer buffer heigth. Inputs are scaled accordingly.
unsigned | m_videoRate

## Constructor & Destructor Documentation

OpalRecordManager::Options::Options | ( | bool | stereo = `true`,
|  | VideoMode | videoMixing = `eSideBySideLetterbox`,
|  | const char * | audioFormat = `NULL`,
|  | const char * | videoFormat = `NULL`,
|  | unsigned | width = `PVideoFrameInfo::CIFWidth`,
|  | unsigned | height = `PVideoFrameInfo::CIFHeight`,
|  | unsigned | rate = `15` |
| ) |  |  | `[inline]`

## Field Documentation

PString OpalRecordManager::Options::m_audioFormat

Audio format for file output. The formats that are supported is dependent on the concrete OpalRecordManager class. For example, for WAV files "PCM-16", "G.723.1", "G.728", "G.729" or "MS-GSM" is supported.

bool OpalRecordManager::Options::m_stereo

Flag to indicate the recoding will be stereo where incoming & outgoing audio are in individual channels.

PString OpalRecordManager::Options::m_videoFormat

Audio format for file output. The formats that are supported is dependent on the concrete OpalRecordManager class. For example, for AVI files this will be the four letter code supported by the operating system, e.g. "MSVC" for Microsoft Video 1.

unsigned OpalRecordManager::Options::m_videoHeight

Video mixer buffer heigth. Inputs are scaled accordingly.

VideoMode OpalRecordManager::Options::m_videoMixing

Mode for how incoming video is mixed.

unsigned OpalRecordManager::Options::m_videoRate

Video mixer output frame rate. This is independent of the input frame rates.

unsigned OpalRecordManager::Options::m_videoWidth

Video mixer buffer width. Inputs are scaled accordingly.

The documentation for this struct was generated from the following file:

- recording.h